Subject: bug#44835: gnu/ci.go: Embeds build path, breaking reproducible builds

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Dec 2020 14:23:52 +0100

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> … but I don’t think we can assume that the checkout is in the
>> ‘%load-path’ when this code is executed.  WDYT, Mathieu?
>
> Cuirass happens to add checkouts to the %load-path just before loading
> this file.

Is that systematic?  Isn’t it only when ‘load_path_inputs’ is non-empty?

> I tested your path, it works fine. I think it is acceptable as this (gnu
> ci) interface needs a big rework anyway.
>
> I can apply your patch if it's ok for you.

Sure if you’re confident you can go ahead.  :-)

Thanks,
Ludo’.